{
  "codeName" : "Line",
  "controlType" : "CHART",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSCHARTS/Line.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "hookEventNames" : [ "LOAD", "BEFORELOAD" ],
  "logicName" : "Line",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdecharts/Line",
  "memo" : "按订单类型汇总订单金额",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSChartCoordinateSystems" : [ {
    "eChartsType" : "cartesian2d",
    "index" : 0,
    "name" : "[line]直角坐标系[0]",
    "getPSChartGrid" : {
      "index" : 0,
      "name" : "[line]直角坐标系[0]",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridXAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridYAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "grid",
      "id" : "0"
    },
    "type" : "XY",
    "id" : "0"
  } ],
  "getPSChartDataSetGroups" : [ {
    "index" : 0,
    "name" : "EchartsDefaultDataSource",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchEchartsDefaultDataSource"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "id" : "0"
  } ],
  "getPSChartDataSets" : [ {
    "index" : 0,
    "name" : "line-EchartsDefaultDataSource",
    "getPSChartDataSetFields" : [ {
      "index" : 0,
      "name" : "ordertime",
      "groupField" : true,
      "id" : "0"
    }, {
      "index" : 1,
      "name" : "IBIZORDERNAME",
      "groupField" : true,
      "id" : "1"
    }, {
      "index" : 2,
      "name" : "amount",
      "groupField" : true,
      "id" : "2"
    } ],
    "id" : "0"
  } ],
  "getPSChartGrids" : [ {
    "index" : 0,
    "name" : "[line]直角坐标系[0]",
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartGridXAxis0" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartGridYAxis0" : {
      "modelref" : true,
      "id" : "0"
    },
    "type" : "grid",
    "id" : "0"
  } ],
  "getPSChartXAxises" : [ {
    "caption" : "日期",
    "eChartsPos" : "xAxis",
    "eChartsType" : "category",
    "index" : 0,
    "name" : "X坐标轴_日期",
    "position" : "bottom",
    "type" : "category",
    "id" : "0"
  } ],
  "getPSChartYAxises" : [ {
    "caption" : "金额",
    "eChartsPos" : "yAxis",
    "eChartsType" : "value",
    "index" : 0,
    "name" : "Y坐标轴_金额",
    "position" : "left",
    "type" : "numeric",
    "id" : "0"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;BEFORELOAD",
    "logicTag" : "chart",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_chart",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEChartLegend" : {
    "index" : 0,
    "showLegend" : true,
    "id" : "0"
  },
  "getPSDEChartSerieses" : [ {
    "catalogField" : "ordertime",
    "eChartsType" : "line",
    "idField" : "amount",
    "index" : 0,
    "name" : "line",
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartDataSet" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartSeriesEncode" : {
      "index" : 0,
      "itemId" : "amount",
      "itemName" : "IBIZORDERNAME",
      "name" : "坐标系编码",
      "getPSChartXAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartYAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "XY",
      "x" : [ "ordertime" ],
      "y" : [ "amount" ],
      "id" : "0"
    },
    "seriesField" : "IBIZORDERNAME",
    "seriesLayoutBy" : "column",
    "seriesType" : "line",
    "valueField" : "amount",
    "enableChartDataSet" : true,
    "stack" : false
  } ],
  "getPSDEChartTitle" : {
    "index" : 0,
    "subTitle" : "虚拟数据",
    "title" : "订单金额统计",
    "showTitle" : true,
    "id" : "0"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderLineChartView/psappviewctrls/chart",
  "readOnly" : true,
  "modelid" : "d0595aec507105565b8d5664a14b77c0",
  "modeltype" : "PSDECHART",
  "getUserParam" : {
    "EC.color" : "[\"#40c9c6\",\"#36a3f7\",\"#f4516c\",\"#34bfa3\",'#ffba00','#42d885','#1682e6','#4dd9d5']"
  }
}